<jsp:root xmlns="http://www.w3.org/1999/xhtml"
	xmlns:jsp="http://java.sun.com/JSP/Page" version="2.0"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:my="urn:jsptagdir:/WEB-INF/tags">

	<jsp:directive.page language="java"
		contentType="text/html; charset=utf-8" pageEncoding="UTF-8"
		isELIgnored="false" 
		/>
	<jsp:output doctype-root-element="html"
		doctype-public="-//W3C//DTD XHTML 1.1//EN"
		doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd" />

	<my:adminpage>
		<h1>Administration Interface</h1>
		
		Welcome, please see the links on the top for more functionality.
		
		<h3> Paths </h3>
		Spaces Directory: ${server.spacesDirectory}<br/>
		Server Data Directory: ${server.serverDirectory}<br/>
		Absolute URL: ${pageContext.request.contextPath}/<br />
		Relative URL: ${pageContext.request.contextPath}/<br/>
		
		<h3> Java </h3>
		<!-- 
		Version: <%= System.getProperty("java.version") %> <br/>
		Max Memory: <%= Runtime.getRuntime().maxMemory() / 1000 %> kB <br/>
		Total Memory: <%=  Runtime.getRuntime().totalMemory() / 1000 %> kB <br/>
		Free Memory: <%= Runtime.getRuntime().freeMemory() / 1000 %> kB <br/>
		 -->
		<h3> Other </h3>
		Server: ${servletContext.serverInfo}<br/>
	</my:adminpage>
</jsp:root>